<?php

class clients {
	
	public function __construct(){
		global $err;
		
		$act=preg_replace('/[^a-z_]/','',$_GET['act']);
		if($act){
			call_user_func(array(&$this,$act));
		} 
	}
	
	
	public function pay(){
		global $DB;
				
		$client_id=intval($_GET[client_id]);
		$obj["balance"]=intval($_POST['balance']);
		$balance_old= $DB->selectCell("SELECT balance FROM clients WHERE id=$client_id");
		if($client_id==0) error("Клиент не выбран"); 
		if(!$obj["balance"]) error("Введите сумму только цифрами!");
		if($obj["balance"] < 1 || $obj["balance"] > 5000) error("Неверная Сумма! Введите сумму от 1 до 5000");
		$obj["balance"]=$obj["balance"]+$balance_old; 
			
		$DB->query("UPDATE clients set ?a WHERE id=?d",$obj,$client_id);
		
		success();
		
	}
}
?>